Summary: CGI Wrapper for Cobalt RaQs
Name: cgiwrap
Version: 3.6.4
Release: C10
Source: cgiwrap-%{version}.tar.gz
Patch0: cgiwrap-cobalt.patch
Vendor: Nathan Neulinger (nneul@umr.edu)
Packager: Duncan Laurie (duncan@cobalt.com)
Copyright: GPL
Group: Base
BuildRoot: /tmp/cgiwrap

%description
This package includes a cgiwrap program which will handle all cgi's run 
on the main webserver.  It ensures the scripts run with the proper 
permissions.  This is a modified version of the original cgiwrap
program by Nathan Neulinger (nneul@umr.edu).

%changelog
* Wed Jun 28 2000 Adrian Sun (asun@cobalt.com)
- 3.6.4-C10
- set umask to 002

* Fri May 26 2000 Will DeHaan (will@cobalt.com)
- 3.6.4-C9
- error message change

* Thu May 11 2000 Duncan Laurie (duncan@cobalt.com)
- 3.6.4-C8
- fixes for raq4

* Thu Jan 27 2000 Duncan Laurie (duncan@cobalt.com)
- 3.6.4.C7
- fixed buffer size problem when NIS is turned off

* Wed Dec  1 1999 Duncan Laurie (duncan@cobalt.com)
- 3.6.4.C6
- handle queries like http://domain.com/script.cgi/data/

* Mon Nov  8 1999 Duncan Laurie (duncan@cobalt.com)
- 3.6.4.C5
- run site scripts as owner, checking first to ensure that
  user is a site administrator for that site

* Tue Nov  2 1999 Duncan Laurie (duncan@cobalt.com)
- 3.6.4.C4
- update to 3.6.4

* Fri Oct  8 1999 Duncan Laurie (duncan@cobaltnet.com)
- run site CGIs as httpd instead of nobody

* Wed Jun  2 1999 Duncan Laurie (duncan@cobaltnet.com)
- fix raq2 legacy bugs

* Mon May 24 1999 Duncan Laurie <duncan@cobaltnet.com>
- first build for pacifica

* Tue Mar  2 1999 Duncan laurie <duncan@cobaltnet.com>
- fix /users/[user] access

* Fri Feb 19 1999 Duncan Laurie <duncan@cobaltnet.com>
- start with new sources, unhacked, v3.6.3
- build for raq2 with minimal changes to source

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n cgiwrap-%{version}

%patch0 -p1 -b .cobalt

%build
./configure \
	--with-install-dir=/usr/cgiwrap \
	--with-httpd-user=httpd \
	--without-check-group-writable \
	--with-cgi-dir=web \
	--without-fixed-path-translated \
	--with-local-contact-name=Administrator \
	--with-local-contact-email=admin \
	--without-check-group

make CFLAGS="-D__cobalt"

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/cgiwrap
mkdir -p $RPM_BUILD_ROOT/usr/doc/cgiwrap-%{version}

# install the main binary
install -m4755 -o root -g root cgiwrap $RPM_BUILD_ROOT/usr/cgiwrap/cgiwrap

# links to the man binary
(
  cd $RPM_BUILD_ROOT/usr/cgiwrap
  ln cgiwrap cgiwrapd
  ln cgiwrap nph-cgiwrap
  ln cgiwrap nph-cgiwrapd
)

# install documentation in text format
(
  cd doc
  tar -cf - * |
  (
    cd $RPM_BUILD_ROOT/usr/doc/cgiwrap-%{version}
    tar -xvvf -
  )
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0755,root,root) %dir /usr/cgiwrap
%attr(4755,root,root) /usr/cgiwrap/cgiwrap
%attr(4755,root,root) /usr/cgiwrap/cgiwrapd
%attr(4755,root,root) /usr/cgiwrap/nph-cgiwrap
%attr(4755,root,root) /usr/cgiwrap/nph-cgiwrapd
%attr(0644,root,root) /usr/doc/cgiwrap-%{version}

